/*
 * Example: string manipulation
 * Copyright (C) 2000 Leandro Bernsmller
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#include <stdio.h>
#include "../../../include/base.h"



int main ()
{
  // simple strings manipulation
	class_string str1;
	str1.copy ("hello");
	str1.append (" world!");
	puts (str1.get ());
	str1.terminate ();

	// character appending
	str1.copy ("alphabet: ");
	for (int count = 0; count < 26; count++)
		str1.append_char ('a' + count);

	puts (str1.get ());

	// string formated as in printf
	//str1.copy_form (" appending text: $s!", "hungry");
	//puts (str1.get ());
}
