/*
 * Declare history.cc
 * See source file for details.
 */



#ifndef __LAO_HISTORY_H__
#define __LAO_HISTORY_H__



class class_history:public class_list {

	public:

	class_history ();
	~class_history ();

        private:

	class_mapstr predefined_data;  // map for predefined entry data

        public:

	// external functions
	void  init ();
	void  terminate ();
	char* get_entry ( DWORD, char*, BOOL, DATAPT&);
	BOOL get_predefined_data ( char*, DATAPT& );
	char* get_selected_entry ( DATAPT& );

	BOOL update ( char*, DATAPT, BOOL );
	BOOL predefine_data ( char*, DATAPT );

	char* remove_any_predefined_data ( DATAPT& );
	char* remove_predefined_data ( char*, DATAPT& );
	BOOL remove_selected_entry ();
};



// end declarations
#endif
